com.ihr.xbrl.dts

## Class XBRLTreeWalker

- java.lang.Object
- - com.ihr.xbrl.dts.XBRLTreeWalker

-     public class XBRLTreeWalker
      extends java.lang.Object

  The Class XBRLTreeWalker.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLTreeWalker(XBRLRelationship rel)` Instantiates a new XBRL tree walker.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XBRLArcroleType` | `getArcrole()` Gets the arcrole.
    `XBRLTreeNode` | `getAt(int nodeSeq)` Gets the at.
    `DTSBase` | `getDTSBase()` Gets the DTS base.
    `XBRLRelationship` | `getRelationship()` Gets the relationship.
    `XBRLTreeNode` | `getRoot()` Gets the root.
    `XBRLTreeNode` | `getTarget()` Gets the target.
    `void` | `setAt(int nodeSeq, XBRLTreeNode node)` Sets the at.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLTreeWalker

          public XBRLTreeWalker(XBRLRelationship rel)

      Instantiates a new XBRL tree walker.
      Parameters:
        `rel` - the rel

  - ### Method Detail

    - #### getRoot

          public XBRLTreeNode getRoot()

      Gets the root.
      Returns:
        the root

    - #### getTarget

          public XBRLTreeNode getTarget()

      Gets the target.
      Returns:
        the target

    - #### getDTSBase

          public DTSBase getDTSBase()

      Gets the DTS base.
      Returns:
        the DTS base

    - #### getArcrole

          public XBRLArcroleType getArcrole()

      Gets the arcrole.
      Returns:
        the arcrole

    - #### getRelationship

          public XBRLRelationship getRelationship()

      Gets the relationship.
      Returns:
        the relationship

    - #### setAt

          public void setAt(int nodeSeq,
                   XBRLTreeNode node)

      Sets the at.
      Parameters:
        `nodeSeq` - the node seq
        `node` - the node

    - #### getAt

          public XBRLTreeNode getAt(int nodeSeq)

      Gets the at.
      Parameters:
        `nodeSeq` - the node seq
      Returns:
        the at